/* "TestA.cs" WB-tree File Based Associative String Data Base System.
 * Copyright (C) 1991, 1992, 1993, 2000 Free Software Foundation, Inc.
 * Copyright 2007 Clear Methods, Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

using System;
using org.waterlang.whitewater;

class TestA
{
    /**Simple Tests */
    public static void runExample(){
	wb.makeSeg(5, "iscompatible", 2048);
	wb.openSeg(5, "iscompatible", 2);

	wb.Han pb = wb.createDb(5, 'T', "phone-book");

	wb.bt_Put(pb,  "LN",      "Doe");
	wb.bt_Put(pb,  "FN",      "Joe");
	wb.bt_Put(pb,  "PN",      "5551212");

	String val = wb.bt_Next(pb, "LN");
	Console.WriteLine("val is " + val);

	val = wb.bt_Get(pb,  "FN");
	Console.WriteLine("val is " + val);

	val = wb.bt_Get(pb,   "PN");
	Console.WriteLine("val is " + val);

	wb.closeSeg(5, false);
    }

    public static void  Main(String[] args)
    {
	runExample();
    }
}
